propellor 4.7.7 released with these changes

  • Locale: Display an error message when /etc/locale.gen does not contain the requested locale.
  • Attic module is deprecated and will warn when used. Attic is no longer available in Debian and appears to have been mostly supersceded by Borg.
  • Obnam module is deprecated and will warn when used. Obnam has been retired by its author.
  • Add Typeable instance to Bootstrapper, fixing build with old versions of ghc. (Previous attempt was incomplete.)